Bug 875852 - Essential element 'global_uuid' is missing, can't continue
Summary: Essential element 'global_uuid' is missing, can't continue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-12 17:02 UTC by Mads Kiilerich
Modified: 2013-08-21 14:55 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:16:39 UTC
Type: Bug


Attachments (Terms of Use)
content of .cache/abrt/spool (2.67 KB, application/x-xz)
2012-11-12 17:02 UTC, Mads Kiilerich
no flags Details
screenshot showing "Essential element 'global_uuid' is missing, can't continue" (259.12 KB, image/png)
2013-08-21 14:46 UTC, Steve Tyler
no flags Details
event_log for Comment 17 (135 bytes, text/plain)
2013-08-21 14:55 UTC, Steve Tyler
no flags Details

Description Mads Kiilerich 2012-11-12 17:02:22 UTC
Created attachment 643614 [details]
content of .cache/abrt/spool

abrt detects a oops. When trying to report it with abrt it fails this way.

abrt-2.0.18-1.fc17.x86_64
abrt-addon-ccpp-2.0.18-1.fc17.x86_64
abrt-addon-kerneloops-2.0.18-1.fc17.x86_64
abrt-addon-python-2.0.18-1.fc17.x86_64
abrt-addon-vmcore-2.0.18-1.fc17.x86_64
abrt-addon-xorg-2.0.18-1.fc17.x86_64
abrt-dbus-2.0.18-1.fc17.x86_64
abrt-desktop-2.0.18-1.fc17.x86_64
abrt-gui-2.0.18-1.fc17.x86_64
abrt-libs-2.0.18-1.fc17.x86_64
abrt-plugin-bodhi-2.0.18-1.fc17.x86_64
abrt-retrace-client-2.0.18-1.fc17.x86_64
libreport-2.0.18-1.fc17.x86_64
libreport-filesystem-2.0.18-1.fc17.x86_64
libreport-gtk-2.0.18-1.fc17.x86_64
libreport-newt-2.0.18-1.fc17.x86_64
libreport-plugin-bugzilla-2.0.18-1.fc17.x86_64
libreport-plugin-kerneloops-2.0.18-1.fc17.x86_64
libreport-plugin-logger-2.0.18-1.fc17.x86_64
libreport-plugin-ureport-2.0.18-1.fc17.x86_64
libreport-python-2.0.18-1.fc17.x86_64
libreport-web-2.0.18-1.fc17.x86_64

Comment 1 Mads Kiilerich 2012-11-12 17:12:40 UTC
Filed manually as
Bug 875859 - Call trace logged on Macmini5,1, __report_bad_irq

Comment 2 Jakub Filak 2012-11-12 20:47:49 UTC
ABRT fails to generate UUID because of presence of <IRQ> and <EOI> strings in oops Call Trace.

Comment 3 Dave Allan 2012-11-20 20:07:53 UTC
I'm seeing this as well; if there's any information I can provide, please don't hesitate to ask.

Comment 4 Jakub Filak 2012-11-20 21:16:22 UTC
(In reply to comment #3)
> I'm seeing this as well; if there's any information I can provide, please
> don't hesitate to ask.

Is <IRQ> stack trace lines allways printed out above <EOI> stack trace lines?

Comment 5 mpQ 2012-11-25 04:25:42 UTC
hi, i also have this kind of issue? anyone here who can help me fixing this?

im a new user of fedora.

Comment 6 Denys Vlasenko 2012-11-30 12:57:30 UTC
Fixed in git:

commit 559ab9535ef4caf4f9bc22c4b6ab332042ced462
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Fri Nov 30 13:55:56 2012 +0100

    Teach kernel oops hash to ignore "<IRQ>" / "<EOI>" prefixes

Comment 7 Fedora Update System 2012-12-20 08:55:29 UTC
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 8 Fedora Update System 2012-12-20 09:45:52 UTC
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17

Comment 9 Fedora Update System 2012-12-21 01:30:05 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 10 Bill McGonigle 2012-12-31 20:15:27 UTC
I updated, restarted abrtd, and tried to re-submit a report.  Did not succeed.

Does this only work for problems encountered after the updates are installed?


$ rpm -q abrt btparser libreport
abrt-2.0.20-1.fc17.x86_64
btparser-0.24-1.fc17.x86_64
libreport-2.0.20-1.fc17.x86_64


--- Running report_uReport ---
(exited with 0)

--- Running collect_Smolt ---
Smolt profile successfully saved

--- Running report_Bugzilla ---
Essential element 'global_uuid' is missing, can't continue
(exited with 1)

Comment 11 Jakub Filak 2013-01-02 13:16:02 UTC
(In reply to comment #10)
> 
> Does this only work for problems encountered after the updates are installed?
> 

Exactly. If you have time and you haven't deleted the problem, please locate dump directory on your hard drive (it should be placed either in /var/spool/abrt dir or ~/.cache/abrt/spool dir) and run the command 

cd $(dump dir)
report-cli -e post-create .

and then you should be able to report that problem.

Comment 12 Bill McGonigle 2013-01-02 16:59:58 UTC
Well, I'm not sure if this is the same problem or not, but when I try that I get:

[flowerpt@aughra oops-2012-12-31-09:52:39-830-1]$ report-cli -e post-create .
Can't find a meaningful backtrace for hashing in '.'
Looking for kernel package
Kernel package kernel-3.6.10-2.fc17.x86_64 found

and then the report does not succeed (same error as before).

$ rpm -q libreport-cli
libreport-cli-2.0.20-1.fc17.x86_64

Comment 13 Jakub Filak 2013-01-03 08:47:11 UTC
(In reply to comment #12)
You are right, that's a different issue. Can you please pack the dump directory and attach it to a new bugzilla ticket.

Comment 14 Fedora Update System 2013-01-12 01:16:41 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Tim Wegener 2013-02-23 04:03:13 UTC
I experienced the same problem with the following package versions:

$ rpm -q abrt btparser libreport
abrt-2.0.20-1.fc18.x86_64
btparser-0.25-1.fc18.x86_64
libreport-2.0.20-1.fc18.x86_64


--- Running report_Bugzilla ---
Essential element 'global_uuid' is missing, can't continue
(exited with 1)

--- Running post-create ---
(exited with 0)
Can't find a meaningful backtrace for hashing in '.'
Looking for kernel package
Kernel package kernel-3.7.8-202.fc18.x86_64 found

--- Running report_Bugzilla ---
Essential element 'global_uuid' is missing, can't continue
(exited with 1)


The backtrace for the kernel bug that I was attempting to report looked like this:

irq 16: nobody cared (try booting with the "irqpoll" option)
Pid: 0, comm: swapper/0 Not tainted 3.7.8-202.fc18.x86_64 #1
Call Trace:

Comment 16 Fedora Update System 2013-02-26 02:38:42 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Steve Tyler 2013-08-21 14:46:38 UTC
Created attachment 788901 [details]
screenshot showing "Essential element 'global_uuid' is missing, can't continue"

This is still occurring:
Essential element 'global_uuid' is missing, can't continue

$ sudo repoquery abrt libreport --arch=x86_64 --releasever=rawhide
abrt-0:2.1.6-3.fc20.x86_64
libreport-0:2.1.6-2.fc20.x86_64

Tested with:
$ qemu-kvm -m 9216 -hda f20-test-1.img -cdrom ~/xfr/fedora/nightly-composes/Fedora-20-Nightly-x86_64-Live-desktop-20130818.10-1.iso -vga std -boot menu=on

Comment 18 Steve Tyler 2013-08-21 14:55:25 UTC
Created attachment 788904 [details]
event_log for Comment 17


Note You need to log in before you can comment on or make changes to this bug.